<template>
  <div class="flex flex-col gap-4">
    <div
      class="flex flex-col gap-4 border-2 rounded-lg p-5 border-black"
      id="navbar"
    >
      <p class="text-2xl border-black border-b-2 border-opacity-100"># Svn Navbars</p>
      <div
        class="flex flex-col gap-4"
      >
        <svn-navbar
          :items="menuItems"
          :user-avatar="null"
          :user-company-logo="null"
        />

      </div>
    </div>

    <div
      class="flex flex-col gap-4 border-2 rounded-lg p-5 border-black"
      id="navbar-menu"
    >
      <p class="text-2xl border-black border-b-2 border-opacity-100">Svn Menus</p>
      <div
        class="flex flex-col gap-4"
      >
        <svn-navbar-menu
          variant="modal"
          :items="menuItems"
        />

        <svn-navbar-menu
          variant="select"
          :items="menuItems"
        />

        <svn-navbar-menu
          variant="navbar"
          :items="menuItems"
        />
      </div>
    </div>
  </div>
</template>

<script setup>
import SvnNavbar from "@/components/navbar/SvnNavbar.vue";
import {ref} from "vue";
import SvnNavbarMenu from "@/components/navbar/SvnNavbarMenu.vue";


const menuItems = ref([
  {
    title: 'my interviews',
    to: ''
  },
  {
    title: 'my team interviews',
    to: ''
  },
  {
    title: 'my campaigns',
    to: ''
  },
  {
    title: 'templates',
    to: ''
  },
  {
    title: 'reports',
    to: ''
  },
])
</script>

<style scoped>

</style>